Bug 245824 - RFE: discover printers with Bonjour / Zeroconf
Summary: RFE: discover printers with Bonjour / Zeroconf
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cups   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 248891
Blocks: F8Target
TreeView+ depends on / blocked
 
Reported: 2007-06-26 20:53 UTC by Joshua Daniel Franklin
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 1.3-0.b1.2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-19 15:21:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joshua Daniel Franklin 2007-06-26 20:53:09 UTC
This is a request for enhancement.

I was excited to see that Fedora has the Zeroconf avahi-daemon
running by default, but unfortunately system-config-printer doesn't use it.
Virtually every new network printer has Zeroconf--it's a very cheap feature.
The upcoming CUPS 1.3 will publish shared printers as Zeroconf
_printer._tcp services, which would of course be awesome to take
advantage of: http://www.cups.org/roadmap.php
(Shared Mac printers also publish using zeroconf.)

After I installed the avahi-tools package I can easily browse the
available printers, --resolve would give additional info like IP address:

# avahi-browse  --terminate _printer._tcp
+ eth0 IPv4 hp color LaserJet 3500 (00306EC4BCFF)         UNIX Printer     local
+ eth0 IPv4 hp color LaserJet 4600 (0001E6739D76)         UNIX Printer     local

For anyone not familiar with Zeroconf, as you might expect the O'Reilly
book is quite good: http://www.oreilly.com/catalog/bonjour/toc.html

Comment 1 Tim Waugh 2007-07-18 14:37:35 UTC
Update:
CUPS-1.3b1 has support for Apple's implementation of Bonjour.  The plan is to
add support for other implementations but it isn't there yet.


Comment 2 Tim Waugh 2007-07-19 14:16:45 UTC
Good news: I've managed to get it to build against avahi-compat-libdns_sd.

Leaving open until the SELinux policy is adjusted to let cupsd talk to Avahi via
D-Bus.

Comment 3 Tim Waugh 2007-07-19 15:21:29 UTC
$ avahi-browse --terminate _ipp._tcp
+ eth1 IPv4 HEWLETT-PACKARD DESKJET 990C (HAL) @ hoopoe.elk Internet Printer   
 local



Note You need to log in before you can comment on or make changes to this bug.